当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [can总线] 2.4下的驱动,改后到2.6下运行
帖子发表于 : 2008-07-10 15:45 

注册: 2008-06-17 13:27
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
这是个2.4下的驱动,现在要移到2.6下,我把寄存器的头拷到/asm/arch-s3c2410/下了,但是报出了以下的错误.
象这样的错误该如何改呢?请大侠给个示范 :-)
void spi_Init(eBandrate br)
{
S3C2410_GPECON &=~(0x3f<<22);
S3C2410_GPECON |=(0x2a<<22); // init GPEIO is SPI Mode
SPPRE0 &=0; //Cleae SPPRE0
................(还有些enable/disable的函数)


can.c:157: error: invalid lvalue in assignment
can.c:158: error: invalid lvalue in assignment
can.c:159: error: invalid lvalue in assignment
can.c:163: error: invalid lvalue in assignment

先谢过~!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译